
From: "Paul E. McKenney" <paulmck@us.ibm.com>

Removes a redundant #ifdef CONFIG_SMP that is nested within an enclosing
#ifdef CONFIG_SMP.

Signed-off-by: <paulmck@us.ibm.com>
Acked-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN kernel/sched.c~scheduler-remove-redundant-ifdef kernel/sched.c
--- 25/kernel/sched.c~scheduler-remove-redundant-ifdef	2004-10-26 01:21:00.036622664 -0700
+++ 25-akpm/kernel/sched.c	2004-10-26 01:21:00.043621600 -0700
@@ -4459,14 +4459,12 @@ static void sched_domain_debug(void)
 #define sched_domain_debug() {}
 #endif
 
-#ifdef CONFIG_SMP
 /*
  * Initial dummy domain for early boot and for hotplug cpu. Being static,
  * it is initialized to zero, so all balancing flags are cleared which is
  * what we want.
  */
 static struct sched_domain sched_domain_dummy;
-#endif
 
 #ifdef CONFIG_HOTPLUG_CPU
 /*
_
